digiKam Developer Documentation: Digikam::ItemViewHoverButton Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::ItemViewHoverButton Class Referenceabstract
Inheritance diagram for Digikam::ItemViewHoverButton:

## Public Member Functions
| ItemViewHoverButton (QAbstractItemView *const parentView)
QModelIndex | index () const
void | initIcon ()
void | reset ()
void | setIndex (const QModelIndex &index)
void | setVisible (bool visible) override
QSize | sizeHint () const override=0
| Reimplement to match the size of your icon.

## Protected Slots
void | refreshIcon ()
void | setFadingValue (int value)
void | startFading ()
void | stopFading ()

## Protected Member Functions
void | enterEvent (QEnterEvent *event)
virtual QIcon | icon ()=0
| Return your icon here.
void | leaveEvent (QEvent *event)
void | paintEvent (QPaintEvent *event)
void | setup ()
| to call in children class constructors to init signal/slot connections.
virtual void | updateToolTip ()
| Optionally update tooltip here.

## Protected Attributes
QTimeLine * | m_fadingTimeLine = nullptr
int | m_fadingValue = 0
QIcon | m_icon
QPersistentModelIndex | m_index
bool | m_isHovered = false

## Member Function Documentation

## ◆ icon()

virtual QIcon Digikam::ItemViewHoverButton::icon | ( |  | ) |
| protectedpure virtual

Will be queried again on toggle.

Implemented in Digikam::FaceRejectionOverlayButton, Digikam::ItemFullScreenOverlayButton, Digikam::ItemRotateOverlayButton, Digikam::ItemSelectionOverlayButton, and Digikam::ImportRotateOverlayButton.

## ◆ sizeHint()

QSize Digikam::ItemViewHoverButton::sizeHint | ( |  | ) | const
| overridepure virtual

Implemented in Digikam::FaceRejectionOverlayButton, Digikam::ItemFullScreenOverlayButton, Digikam::ItemRotateOverlayButton, Digikam::ItemSelectionOverlayButton, and Digikam::ImportRotateOverlayButton.

## ◆ updateToolTip()

void Digikam::ItemViewHoverButton::updateToolTip | ( |  | ) |
| protectedvirtual

Will be called again on state change.

Reimplemented in Digikam::FaceRejectionOverlayButton, Digikam::ItemFullScreenOverlayButton, Digikam::ItemRotateOverlayButton, Digikam::ItemSelectionOverlayButton, and Digikam::ImportRotateOverlayButton.